Attribute VB_Name = "modMain"
Option Explicit

Const MAX_PATH = 260
Const TH32CS_SNAPPROCESS = 2&

Private Type PROCESSENTRY32
    lSize            As Long
    lUsage           As Long
    lProcessId       As Long
    lDefaultHeapId   As Long
    lModuleId        As Long
    lThreads         As Long
    lParentProcessId As Long
    lPriClassBase    As Long
    lFlags           As Long
    sExeFile         As String * MAX_PATH
End Type

Private Declare Sub CloseHandle Lib "kernel32" (ByVal hPass As Long)

Private Declare Function CreateToolhelpSnapshot Lib "kernel32" _
    Alias "CreateToolhelp32Snapshot" (ByVal lFlags As Long, _
    ByVal lProcessId As Long) As Long
    
Private Declare Function ProcessFirst Lib "kernel32" _
    Alias "Process32First" (ByVal hSnapshot As Long, _
    uProcess As PROCESSENTRY32) As Long
    
Private Declare Function ProcessNext Lib "kernel32" _
    Alias "Process32Next" (ByVal hSnapshot As Long, _
    uProcess As PROCESSENTRY32) As Long
    
Sub Main()
    Dim sExeName   As String
    Dim sPid       As String
    Dim sParentPid As String
    Dim lSnapShot  As Long
    Dim r          As Long
    Dim uProcess   As PROCESSENTRY32
    
    'get first process
    lSnapShot = CreateToolhelpSnapshot(TH32CS_SNAPPROCESS, 0&)
    
    'if there is a first process
    If lSnapShot <> 0 Then
        'Process Size
        uProcess.lSize = Len(uProcess)
        
        'First Process
        r = ProcessFirst(lSnapShot, uProcess)
    
        'While there is a next process
        Do While r
            'Get EXE's name
            sExeName = Left(uProcess.sExeFile, InStr(1, uProcess.sExeFile, vbNullChar) - 1)
            
            'Get Process ID
            'sPid = Hex$(uProcess.lProcessId)
            
            'Get Parent's Process ID
            'sParentPid = Hex$(uProcess.lParentProcessId)
            
            'If it is sbbsctrl.exe, end program
            If sExeName = "sbbsctrl.exe" Then
                'MsgBox sExeName
                End
            End If
            
            'Get next process
            r = ProcessNext(lSnapShot, uProcess)
        Loop
        
        'Close the handle to processes
        CloseHandle (lSnapShot)
    End If
    
    Call Shell("sbbsctrl.exe", vbMinimizedNoFocus)
    
    End
End Sub
